Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
KDE Plasma Clock widget does not show date
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3  
Reply to topic    Gentoo Forums Forum Index Desktop Environments
View previous topic :: View next topic  
Author Message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1763
Location: United Kingdom

PostPosted: Tue Nov 15, 2016 6:32 pm    Post subject: Reply with quote

GenHeDi wrote:
In order to prevent a total rebuild, how can I select and rebuild only the involved packages?

I assume '--changed-use' (-U) would take care if that.

GenHeDi wrote:
By the way, I already modified my /etc/portage/make.conf according to your directions a while ago:

Code:
LINGUAS="nl nl_NL"
L10N="nl nl-NL"


After this modification I performed following commands:
Code:
env-update && source /etc/profile
emerge -avb glibc binutils gcc libtool
emerge -avbke @system
emerge -avbke @world


So I doubt if it is necessary to rebuild again. But correct me if I am wrong.

Try without rebuilding first and see what happens.

By the way, @system is a subset of @world so you don't need to enter that third command anyway. That fourth command will repeat what the third command did plus more. See https://wiki.gentoo.org/wiki/World_set_(Portage)
Also, I personally use the command 'emerge --update --verbose --deep --newuse --with-bdeps=y @world'. You don't need to rebuild every single package in your installation.
_________________
Clevo W230SS: amd64 OpenRC elogind nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64 OpenRC elogind xf86-video-ati. Dual boot Win 7 Pro 64-bit.
KDE on both.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Thu Nov 17, 2016 5:58 pm    Post subject: Reply with quote

Hello Fitzcarraldo,

See following:
Quote:
Try the following:

Code:
$ mv ~/.config/plasma-locale-settings.sh ~/.config/plasma-locale-settings.sh.bak

Then log out of Plasma 5, log in again and check the locale in Konsole:

Code:
$ locale


Result after restart Plasma 5:
Code:
locale
LANG=nl_NL.UTF-8
LC_CTYPE="nl_NL.UTF-8"
LC_NUMERIC="nl_NL.UTF-8"
LC_TIME="nl_NL.UTF-8"
LC_COLLATE="nl_NL.UTF-8"
LC_MONETARY="nl_NL.UTF-8"
LC_MESSAGES="nl_NL.UTF-8"
LC_PAPER="nl_NL.UTF-8"
LC_NAME="nl_NL.UTF-8"
LC_ADDRESS="nl_NL.UTF-8"
LC_TELEPHONE="nl_NL.UTF-8"
LC_MEASUREMENT="nl_NL.UTF-8"
LC_IDENTIFICATION="nl_NL.UTF-8"
LC_ALL=
:D :D

I will ad:
Code:
export LANG=nl_NL.UTF-8
export LANGUAGE=nl

to my ~/.config/plasma-locale-settings.sh and will perform a restart of Plasma 5.
The result will be in the next post.
_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Thu Nov 17, 2016 6:15 pm    Post subject: Reply with quote

Both versions are tested:

Quote:
You could instead edit ~/.config/plasma-locale-settings.sh so it contains the following:

Code:
export LANG=nl_NL.UTF-8
export LANGUAGE=nl

Then log out of Plasma 5, log in again and check the locale in Konsole.

Try also:

Code:
export LANG=nl_NL.UTF-8
export LANGUAGE=nl_NL


Same result:
Code:
#locale
LANG=nl_NL.UTF-8
LC_CTYPE="nl_NL.UTF-8"
LC_NUMERIC="nl_NL.UTF-8"
LC_TIME="nl_NL.UTF-8"
LC_COLLATE="nl_NL.UTF-8"
LC_MONETARY="nl_NL.UTF-8"
LC_MESSAGES="nl_NL.UTF-8"
LC_PAPER="nl_NL.UTF-8"
LC_NAME="nl_NL.UTF-8"
LC_ADDRESS="nl_NL.UTF-8"
LC_TELEPHONE="nl_NL.UTF-8"
LC_MEASUREMENT="nl_NL.UTF-8"
LC_IDENTIFICATION="nl_NL.UTF-8"
LC_ALL=


I think we solved the problem.
_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Thu Nov 17, 2016 6:42 pm    Post subject: Reply with quote

By the way, I always follow this sequence in order to update my Gentoo installation:

http://serverfault.com/questions/9936/optimal-procedure-to-upgrade-gentoo-linux

Quote:
1) emerge --sync or eix-sync or emerge-delta-webrsync and eix-update
2) emerge -av portage
3) eclean-dist

Check that one of linux-headers, glibc, binutils, libtool or gcc has major update (e.g gcc updates from 4.6 to 4.8). If it isn't go to the step 11.

Full rebuild:

4) rm -rf PKGDIR/* Replace PKGDIR with your path to package dir!
5) emerge -av linux-headers glibc binutils gcc-config libtool gcc
6) gcc-config <number of new gcc> Switch to new gcc
7) source /etc/profile
8) emerge -avb glibc binutils gcc libtool
9) emerge -avbke system
10) emerge -avbke world

If you have any problem on step 9 or 10 then fix it and try again

Update world:

11) Clean your world file /var/lib/portage/world from unnecessary packages and check /etc/portage entities
12) fixpackages
13) emerge -avuDN world
14) eselect python update
15) python-updater -- -av
16) perl-cleaner --all -- -av
17) emerge -a --depclean
18) revdep-rebuild -i -- -av

If you have any trouble in steps 14-18 fix it and repeat all steps from step 13

19) etc-update or dispatch-conf
20) glsa-check -vp affected You can have affected packages in slots after update
21) emaint --check all

_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Sun Nov 27, 2016 8:19 pm    Post subject: Reply with quote

Hello Fitzcarraldo,

Although emerge is not complaining anymore and my date is still visible, I encounter following message in my /var/log/portage/elog/summary.log

Code:
WARN: unpack
Sorry, but firefox-45.5.0 does not support the nl_NL locale
WARN: install
Sorry, but firefox-45.5.0 does not support the nl_NL locale


and

Code:
WARN: unpack
Sorry, but thunderbird-45.5.0 does not support the nl_NL locale
QA: prepare
The version of lightning used for localization differs from the version
in thunderbird.  Please update MOZ_LIGHTNING_VER in the ebuild from 4.7.4
to 4.7.5
WARN: install
Sorry, but thunderbird-45.5.0 does not support the nl_NL locale
Sorry, but thunderbird-45.5.0 does not support the nl_NL locale


I checked the languages in firefox and I have already installed the "Nederlands (NL) Language Pack" Add-on.
_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1763
Location: United Kingdom

PostPosted: Mon Nov 28, 2016 9:49 am    Post subject: Reply with quote

Try

Code:
# L10N="nl" emerge firefox thunderbird

_________________
Clevo W230SS: amd64 OpenRC elogind nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64 OpenRC elogind xf86-video-ati. Dual boot Win 7 Pro 64-bit.
KDE on both.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Thu Dec 01, 2016 6:49 pm    Post subject: Reply with quote

I treid:
Code:
# L10N="nl" emerge firefox thunderbird


But no success.

Code:
>> Messages generated by process 7786 on 2016-12-01 19:20:34 CET for package www-client/firefox-45.5.0:

LOG: setup
You are enabling official branding. You may not redistribute this build
to any users on your network or the internet. Doing so puts yourself into
a legal problem with Mozilla Foundation
You can disable it by emerging firefox _with_ the bindist USE-flag
WARN: unpack
Sorry, but firefox-45.5.0 does not support the nl_NL locale
WARN: install
Sorry, but firefox-45.5.0 does not support the nl_NL locale

_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Thu Dec 01, 2016 7:08 pm    Post subject: Reply with quote

Same for:

Code:
>>> Messages generated by process 7786 on 2016-12-01 20:01:13 CET for package mail-client/thunderbird-45.5.0:

LOG: setup
You are enabling official branding. You may not redistribute this build
to any users on your network or the internet. Doing so puts yourself into
a legal problem with Mozilla Foundation
You can disable it by emerging thunderbird _with_ the bindist USE-flag

WARN: unpack
Sorry, but thunderbird-45.5.0 does not support the nl_NL locale
QA: prepare
The version of lightning used for localization differs from the version
in thunderbird.  Please update MOZ_LIGHTNING_VER in the ebuild from 4.7.4
to 4.7.5
WARN: install
Sorry, but thunderbird-45.5.0 does not support the nl_NL locale
Sorry, but thunderbird-45.5.0 does not support the nl_NL locale

_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1763
Location: United Kingdom

PostPosted: Fri Dec 02, 2016 12:20 pm    Post subject: Reply with quote

As they are just warnings (as opposed to errors), do the two packages build anyway? And do the two applications work with the nl locale, i.e. can you see and type all the Dutch alphabet?
_________________
Clevo W230SS: amd64 OpenRC elogind nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64 OpenRC elogind xf86-video-ati. Dual boot Win 7 Pro 64-bit.
KDE on both.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Mon Dec 05, 2016 6:34 pm    Post subject: Reply with quote

Yes they build both and no strange typing stuff at first sight.
_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
Fitzcarraldo
Veteran
Veteran


Joined: 30 Aug 2008
Posts: 1763
Location: United Kingdom

PostPosted: Tue Dec 06, 2016 12:00 am    Post subject: Reply with quote

In that case, as the messages are warnings rather than error messages, and as the two packages do not complain about the nl locale, I suggest you keep things as they are and see how things work out.
_________________
Clevo W230SS: amd64 OpenRC elogind nvidia-drivers & xf86-video-intel.
Compal NBLB2: ~amd64 OpenRC elogind xf86-video-ati. Dual boot Win 7 Pro 64-bit.
KDE on both.

Fitzcarraldo's blog
Back to top
View user's profile Send private message
GenHeDi
Tux's lil' helper
Tux's lil' helper


Joined: 02 Jan 2016
Posts: 129

PostPosted: Thu Dec 08, 2016 6:28 pm    Post subject: Reply with quote

Alright.

Thank you very much for your support and help (and patience).
_________________
Nulla tenaci invia est via
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Desktop Environments All times are GMT
Goto page Previous  1, 2, 3
Page 3 of 3

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum